# import profile
# from xmlrpc.client import Boolean
from django.db import models
from django.contrib.auth.models import User


# Create your models here.

class Profile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    name = models.CharField(max_length=100)
    pic = models.ImageField(upload_to="img", blank=True, null=True)
    friends = models.ManyToManyField(User, related_name="my_friends")
    is_active = models.BooleanField(default=False)
    profile_time = models.DateTimeField(auto_now=True)

    def __str__(self):
        return str(self.id) + self.name


class ChatMessage(models.Model):
    body = models.TextField()
    msg_sender = models.ForeignKey(Profile, on_delete=models.CASCADE, related_name="msg_sender")
    msg_receiver = models.ForeignKey(Profile, on_delete=models.CASCADE, related_name="msg_receiver")
    seen = models.BooleanField(default=False)
    msg_time = models.DateTimeField(auto_now=True)

    def __str__(self):
        return self.body
